Subject: Re: [PATCH net 1/3] bpf: bpf_out_neigh_v4: Fix nd_tbl NULL dereference when IPv6 is disabled

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 Mar 2026 17:43:27 -0800

On Thu, 5 Mar 2026 02:34:00 +0100 Daniel Borkmann wrote:
> > Maybe I am missing something here, but I believe this won't solve
> > the problem. Even if ipv6 is built-in, it should be possible to
> > pass ipv6.disable=1 during boot and therefore nd_tbl would still be
> > uninitialized, not NULL tho.  
>
> I presume you mean disable_ipv6_mod which then bails out during the module
> load process without error, right? It could be deprecated with a warning so
> that it turns into a no-op:

I believe disabling ipv6 may be legit. Some admins on ipv4 networks may
be paranoid and not want to allow any ipv6 traffic if their "firewalls"
can only understand IPv6? This is just a guess on my side, but I'm less
confident of deprecating the disable knob than =m. I'd be happy if I'm
wrong.

To answer the earlier question -- I would prefer to take the fixes now
and make IPv6 bool in net-next, feels like too big of a change for rc3
:(